%define majver %(echo %version | cut -d. -f1-2)
Name:          pipewire
Version:       0.3.75
Release:       1mamba
Summary:       Multimedia processing graphs
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pipewire.org
Source:        https://github.com/PipeWire/pipewire.git/%{version}/pipewire-%{version}.tar.bz2
Patch0:        pipewire-0.3.38-arm-upstream-fix-build.patch
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libbluetooth-devel
BuildRequires: libcamera-devel
BuildRequires: libdbus-devel
BuildRequires: libfdk-aac-devel
BuildRequires: libfreeaptx-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libjack-devel
BuildRequires: liblc3-devel
BuildRequires: libldac-devel
BuildRequires: libncurses-devel
BuildRequires: libopus-devel
BuildRequires: libreadline-devel
BuildRequires: libsbc-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
BuildRequires: libudev-devel
BuildRequires: libusb-devel
BuildRequires: libwebrtc-audio-processing0-devel
## AUTOBUILDREQ-END
BuildRequires: libjack-devel
BuildRequires: libpulseaudio-devel
BuildRequires: xmltoman
BuildRequires: libldac-devel
BuildRequires: libwebrtc-audio-processing-devel
BuildRequires: libfreeaptx-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Multimedia processing graphs.

%package pulse
Group:         System/Libraries
Summary:       Pipewire Pulseaudio plugin 
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires(post): pulseaudio

%description pulse
Pipewire Pulseaudio plugin.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%global __provides_exclude_from ^%{_libdir}/pipewire-%{majver}/.*$
%global __requires_exclude_from ^%{_libdir}/pipewire-%{majver}/.*$

%prep
%setup -q
#-D -T
#%patch0 -p1

%build
#:<< _EOF
%meson \
   --wrap-mode=nodownload \
   -Dudevrulesdir=%{_udevrulesdir} \
   -Dbluez5-codec-lc3=enabled \
   -Dbluez5-codec-lc3plus=disabled \
   -Dcompress-offload=enabled \
   -Drlimits-install=false \
   -Dsession-managers=[]

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

install -d -m0755 %{buildroot}%{_sysconfdir}/pipewire

install -d -m0755 %{buildroot}%{_sysconfdir}/alsa/conf.d
ln -s %{_datadir}/alsa/alsa.conf.d/50-pipewire.conf %{buildroot}%{_sysconfdir}/alsa/conf.d/50-pipewire.conf

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_user_post pipewire.socket
:

%preun
%systemd_user_preun pipewire.socket
:

%post pulse
%systemd_user_post pipewire-pulse.socket
:

%preun pulse
%systemd_user_preun pipewire-pulse.socket
:

%posttrans pulse
if [ $1 -ge 1 ]; then
   # Mask pulseaudio when this package is installed
   systemctl --global mask pulseaudio pulseaudio.socket || :
else
   systemctl --global unmask pulseaudio pulseaudio.socket || :
fi
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/pipewire
%{_sysconfdir}/alsa/conf.d/50-pipewire.conf
#%{_sysconfdir}/security/limits.d/25-pw-rlimits.conf
%{_bindir}/pipewire
%{_bindir}/pipewire-aes67
%{_bindir}/pipewire-avb
%{_bindir}/pw-*
%{_bindir}/spa-*
%{_userunitdir}/pipewire.service
%{_userunitdir}/pipewire.socket
%{_userunitdir}/filter-chain.service
%{_udevrulesdir}/90-pipewire-alsa.rules
%{_datadir}/alsa/alsa.conf.d/50-pipewire.conf
%{_datadir}/alsa/alsa.conf.d/99-pipewire-default.conf
%dir %{_datadir}/alsa-card-profile
%dir %{_datadir}/alsa-card-profile/mixer
%dir %{_datadir}/alsa-card-profile/mixer/paths
%{_datadir}/alsa-card-profile/mixer/paths/*
%dir %{_datadir}/alsa-card-profile/mixer/profile-sets
%{_datadir}/alsa-card-profile/mixer/profile-sets/*
%dir %{_datadir}/pipewire
%{_datadir}/pipewire/*.conf
%dir %{_datadir}/pipewire/client-rt.conf.avail
%{_datadir}/pipewire/client-rt.conf.avail/*.conf
%dir %{_datadir}/pipewire/client.conf.avail
%{_datadir}/pipewire/client.conf.avail/*.conf
%dir %{_datadir}/pipewire/pipewire.conf.avail
%{_datadir}/pipewire/pipewire.conf.avail/*.conf
%exclude %{_datadir}/pipewire/pipewire-pulse.conf
%dir %{_datadir}/pipewire/filter-chain
%{_datadir}/pipewire/filter-chain/*.conf
%{_datadir}/spa-0.2/bluez5/bluez-hardware.conf
%{_mandir}/man1/pipewire.1*
%{_mandir}/man1/pw-*.1*
%{_mandir}/man5/pipewire.conf.5*

%files pulse
%defattr(-,root,root)
%{_bindir}/pipewire-pulse
%{_userunitdir}/pipewire-pulse.service
%{_userunitdir}/pipewire-pulse.socket
%{_datadir}/pipewire/pipewire-pulse.conf
%dir %{_datadir}/pipewire/pipewire-pulse.conf.avail
%{_datadir}/pipewire/pipewire-pulse.conf.avail/20-upmix.conf
%{_mandir}/man1/pipewire-pulse.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libpipewire-*.so.*
%dir %{_libdir}/pipewire-%{majver}
%dir %{_libdir}/pipewire-%{majver}/jack
%{_libdir}/pipewire-%{majver}/jack/libjack*.so*
#%dir %{_libdir}/pipewire-%{majver}/pulse
#%{_libdir}/pipewire-%{majver}/pulse/libpulse*.so*
%{_libdir}/pipewire-%{majver}/libpipewire-module-*.so
%dir %{_libdir}/pipewire-%{majver}/v4l2
%{_libdir}/pipewire-%{majver}/v4l2/libpw-v4l2.so
%{_libdir}/alsa-lib/libasound_module_pcm_pipewire.so
%{_libdir}/alsa-lib/libasound_module_ctl_pipewire.so
%{_libdir}/gstreamer-1.0/libgstpipewire.so
%dir %{_libdir}/spa-*
%{_libdir}/spa-*/*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/pipewire-*
%{_includedir}/pipewire-*/*
%dir %{_includedir}/spa-*
%{_includedir}/spa-*/*
%{_libdir}/libpipewire-*.so
%{_libdir}/pkgconfig/libpipewire-*.pc
%{_libdir}/pkgconfig/libspa-*.pc
%doc NEWS

%changelog
* Sat Jul 22 2023 Automatic Build System <autodist@mambasoft.it> 0.3.75-1mamba
- automatic version update by autodist

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 0.3.74-1mamba
- automatic version update by autodist

* Fri Jul 07 2023 Automatic Build System <autodist@mambasoft.it> 0.3.73-1mamba
- automatic version update by autodist

* Mon Jun 26 2023 Automatic Build System <autodist@mambasoft.it> 0.3.72-1mamba
- automatic version update by autodist

* Thu May 18 2023 Automatic Build System <autodist@mambasoft.it> 0.3.71-1mamba
- automatic version update by autodist

* Fri Apr 21 2023 Automatic Build System <autodist@mambasoft.it> 0.3.70-1mamba
- automatic version update by autodist

* Fri Apr 14 2023 Automatic Build System <autodist@mambasoft.it> 0.3.69-1mamba
- automatic version update by autodist

* Mon Apr 10 2023 Automatic Build System <autodist@mambasoft.it> 0.3.68-1mamba
- automatic version update by autodist

* Tue Mar 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.67-5mamba
- pipewire-pulse: require(post) pulseaudio

* Sun Mar 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.67-4mamba
- really rebuild with libcamera

* Sun Mar 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.67-3mamba
- rebuilt with libcamera and liblc3 support
- added pipewire-pulse subpackage

* Sat Mar 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.67-2mamba
- require pipewiremanager (virtual for wireplumber)

* Fri Mar 10 2023 Automatic Build System <autodist@mambasoft.it> 0.3.67-1mamba
- automatic version update by autodist

* Sun Feb 19 2023 Automatic Build System <autodist@mambasoft.it> 0.3.66-1mamba
- automatic version update by autodist

* Fri Jan 27 2023 Automatic Build System <autodist@mambasoft.it> 0.3.65-1mamba
- automatic version update by autodist

* Fri Jan 13 2023 Automatic Build System <autodist@mambasoft.it> 0.3.64-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 0.3.63-1mamba
- automatic version update by autodist

* Sat Dec 10 2022 Automatic Build System <autodist@mambasoft.it> 0.3.62-1mamba
- automatic version update by autodist

* Thu Nov 24 2022 Automatic Build System <autodist@mambasoft.it> 0.3.61-1mamba
- automatic version update by autodist

* Fri Nov 11 2022 Automatic Build System <autodist@mambasoft.it> 0.3.60-1mamba
- automatic version update by autodist

* Sat Oct 01 2022 Automatic Build System <autodist@mambasoft.it> 0.3.59-1mamba
- automatic version update by autodist

* Thu Sep 15 2022 Automatic Build System <autodist@mambasoft.it> 0.3.58-1mamba
- automatic version update by autodist

* Sat Sep 03 2022 Automatic Build System <autodist@mambasoft.it> 0.3.57-1mamba
- automatic version update by autodist

* Thu Sep 30 2021 Automatic Build System <autodist@mambasoft.it> 0.3.38-1mamba
- automatic version update by autodist

* Fri Sep 24 2021 Automatic Build System <autodist@mambasoft.it> 0.3.37-1mamba
- automatic version update by autodist

* Fri Sep 17 2021 Automatic Build System <autodist@mambasoft.it> 0.3.36-1mamba
- automatic version update by autodist

* Thu Sep 09 2021 Automatic Build System <autodist@mambasoft.it> 0.3.35-1mamba
- automatic version update by autodist

* Sat Sep 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.34-2mamba
- disable systemd user services until tested ok

* Thu Aug 26 2021 Automatic Build System <autodist@mambasoft.it> 0.3.34-1mamba
- automatic version update by autodist

* Thu Aug 05 2021 Automatic Build System <autodist@mambasoft.it> 0.3.33-1mamba
- automatic version update by autodist

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 0.3.32-1mamba
- automatic version update by autodist

* Tue Jun 29 2021 Automatic Build System <autodist@mambasoft.it> 0.3.31-1mamba
- automatic version update by autodist

* Sun Jun 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.30-2mamba
- add requires_exclude_form to fix missing internal requirement
- enable user units pipewire-pulse.socket, pipewire.socket and pipewire-media-session.socket

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 0.3.30-1mamba
- automatic version update by autodist

* Fri Jun 04 2021 Automatic Build System <autodist@mambasoft.it> 0.3.29-1mamba
- automatic version update by autodist

* Sun May 23 2021 Automatic Build System <autodist@mambasoft.it> 0.3.28-1mamba
- automatic version update by autodist

* Thu May 06 2021 Automatic Build System <autodist@mambasoft.it> 0.3.27-1mamba
- automatic version update by autodist

* Sat Apr 24 2021 Automatic Build System <autodist@mambasoft.it> 0.3.26-1mamba
- automatic version update by autodist

* Wed Apr 07 2021 Automatic Build System <autodist@mambasoft.it> 0.3.25-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 0.3.24-1mamba
- automatic version update by autodist

* Sun Mar 07 2021 Automatic Build System <autodist@mambasoft.it> 0.3.23-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 0.3.22-1mamba
- automatic version update by autodist

* Fri Jan 22 2021 Automatic Build System <autodist@mambasoft.it> 0.3.20-1mamba
- automatic version update by autodist

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 0.3.19-1mamba
- automatic version update by autodist

* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 0.3.18-1mamba
- automatic version update by autodist

* Thu Nov 05 2020 Automatic Build System <autodist@mambasoft.it> 0.3.15-1mamba
- automatic version update by autodist

* Sat Oct 31 2020 Automatic Build System <autodist@mambasoft.it> 0.3.14-1mamba
- automatic version update by autodist

* Mon Oct 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.13-2mamba
- fix requirements

* Tue Oct 06 2020 Automatic Build System <autodist@mambasoft.it> 0.3.13-1mamba
- automatic version update by autodist

* Sat Sep 19 2020 Automatic Build System <autodist@mambasoft.it> 0.3.12-1mamba
- automatic version update by autodist

* Sat Sep 12 2020 Automatic Build System <autodist@mambasoft.it> 0.3.11-1mamba
- automatic version update by autodist

* Mon Aug 24 2020 Automatic Build System <autodist@mambasoft.it> 0.3.10-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Sun Jul 26 2020 Automatic Build System <autodist@mambasoft.it> 0.3.7-1mamba
- automatic version update by autodist

* Thu Jun 11 2020 Automatic Build System <autodist@mambasoft.it> 0.3.6-1mamba
- automatic version update by autodist

* Wed May 13 2020 Automatic Build System <autodist@mambasoft.it> 0.3.5-1mamba
- automatic version update by autodist

* Sun May 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-2mamba
- remove provides for internal libjack and libpulse

* Sun May 03 2020 Automatic Build System <autodist@mambasoft.it> 0.3.4-1mamba
- automatic version update by autodist

* Mon Mar 30 2020 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-1mamba
- package created using the webbuild interface
